## gplaycli 0.1.2%2Bgit15~g20f65ca

=== requirements.txt ===
requests>=0.12
protobuf>=2.4
ndg-httpsclient
clint

## gplaycli 0.1.2+git15~g20f65ca

=== Makefile ===
# $Id: Makefile,v 1.6 2015/08/24 22:00:00 Matlink Exp $
#
SHELL := /bin/bash
PYTHON=`which python`
DESTDIR=/
BUILDIR=$(CURDIR)/debian/gplaycli
PROJECT=gplaycli
VERSION=0.1

all:
	@echo "make source - Create source package"
	@echo "make install - Install on local system"
	@echo "make builddeb - Generate a deb package"
	@echo "make clean - Get rid of scratch and byte files"

source:
	$(PYTHON) setup.py sdist $(COMPILE)

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE)

deb:
	python setup.py --command-packages=stdeb.command sdist_dsc --sign-results bdist_deb

publish:
	python setup.py register -r pypi
	python setup.py sdist upload -r pypi

gitpush:
	git push origin master && git push github master
clean:
	$(PYTHON) setup.py clean
	rm -rf build/ MANIFEST dist GPlayCli.egg-info debian/{gplaycli,python-module-stampdir} debian/gplaycli.{debhelper.log,postinst.debhelper,prerm.debhelper,substvars} *.tar.gz* deb_dist
	find . -name '*.pyc' -delete

=== debian/changelog ===
gplaycli (0.1.2+git15~g20f65ca-1) unstable; urgency=low

  * Initial release. (Closes: #810722)

 -- Matlink (Matlink - Sysadmin matlink.fr) <matlink@matlink.fr>  Mon, 24 Aug 2015 21:38:29 +0200

=== debian/control ===
Source: gplaycli
Section: utils
Priority: optional
Maintainer: Matlink (Matlink - Sysadmin matlink.fr) <matlink@matlink.fr>
Build-Depends: debhelper (>= 9.0~),
               dh-python,
               python (>= 2.6.6-3~),
               python-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/matlink/gplaycli
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gplaycli.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gplaycli.git

Package: gplaycli
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         androguard
Recommends: fdroidserver
X-Python-Version: >= 2.7
Description: Google Play downloader command line interface
 GPlayCli is a command line tool to search, install, update Android
 applications from the Google Play Store.  The main goal was to be
 able to run this script with a cronjob, in order to automatically
 update an F-Droid server instance.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	chmod 0644 debian/gplaycli/etc/gplaycli/cronjob

COMMIT_TO_DOWNLOAD = 20f65ca91820018fe3f1a076238ec7293ceada9b
newtarball = new$(COMMIT_TO_DOWNLOAD).tar.gz
get-orig-source:
	wget --continue -O $(newtarball) \
		https://github.com/matlink/gplaycli/archive/$(COMMIT_TO_DOWNLOAD).tar.gz
	mk-origtargz \
		--rename \
		--repack \
		--exclude-file debian \
		--exclude-file ext_libs/androguard \
		$(newtarball)

## gplaycli 0.2.1

=== debian/changelog ===
gplaycli (0.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Matlink <matlink@matlink.fr>  Tue, 20 Dec 2016 15:40:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: gplaycli
 Section: utils
 Priority: optional
-Maintainer: Matlink (Matlink - Sysadmin matlink.fr) <matlink@matlink.fr>
+Maintainer: Matlink <matlink@matlink.fr>
 Build-Depends: debhelper (>= 9.0~),
                dh-python,
                python (>= 2.6.6-3~),
                python-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/matlink/gplaycli
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/gplaycli.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gplaycli.git
@@ -16,7 +16,7 @@
 Depends: ${python:Depends},
          ${misc:Depends},
          androguard
-Recommends: fdroidserver
+Recommends: fdroidserver, dummydroid
 X-Python-Version: >= 2.7
 Description: Google Play downloader command line interface
  GPlayCli is a command line tool to search, install, update Android

## gplaycli 0.2.10

=== Makefile ===
# $Id: Makefile,v 1.6 2015/08/24 22:00:00 Matlink Exp $
#
SHELL := /bin/bash
PYTHON=$(shell which python2)
GIT=$(shell which git)
GPG=$(shell which gpg2)
TWINE=$(shell which twine)
DESTDIR=/
BUILDIR=$(CURDIR)/debian/gplaycli
PROJECT=gplaycli
VERSION=$(shell $(PYTHON) setup.py --version)
GPGID=186BB3CA
PYTEST=$(shell which py.test)
TESTAPK=org.mozilla.firefox

all:
	@echo "make source - Create source package"
	@echo "make install - Install on local system"
	@echo "make builddeb - Generate a deb package"
	@echo "make clean - Get rid of scratch and byte files"

source:
	$(PYTHON) setup.py sdist $(COMPILE)

sign:
	$(GPG) --detach-sign --default-key $(GPGID) -a dist/GPlayCli-$(VERSION).tar.gz

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE)

deb:
	$(PYTHON) setup.py --command-packages=stdeb.command sdist_dsc --sign-results bdist_deb

publish: clean source sign
	$(TWINE) upload dist/GPlayCli-$(VERSION).tar.gz dist/GPlayCli-$(VERSION).tar.gz.asc

gitpush:
	$(GIT) push origin master
	$(GIT) push github master
clean:
	$(PYTHON) setup.py clean
	rm -rf build/ MANIFEST dist GPlayCli.egg-info debian/{gplaycli,python-module-stampdir} debian/gplaycli.{debhelper.log,postinst.debhelper,prerm.debhelper,substvars} *.tar.gz* deb_dist
	find . -name '*.pyc' -delete

test:
	$(PYTEST) tests/
	$(PROJECT) -vd $(TESTAPK)
	[ -f $(TESTAPK).apk ]
	$(PROJECT) -vd $(TESTAPK) -f download
	[ -f download/$(TESTAPK).apk ]
	$(PROJECT) -vyu tests
	[[ `$(PROJECT) -s firefox -n 44 | wc -l` -eq 45 ]]
	$(PROJECT) -s com.yogavpn
	$(PROJECT) -s com.yogavpn -n 15

=== requirements.txt ===
requests>=0.12
protobuf>=2.4
androguard
ndg-httpsclient
clint

=== debian/changelog ===
gplaycli (0.2.10-1) unstable; urgency=medium

  * New upstream release (closes: #871828)
  * Add myself as a co-maintainer.
  * Drop part of fix-config-install patch; keeping only the setup.py bit.
  * Clean up *egg-info after build.
  * Handle renaming of config file via maintscript.

 -- Andres Salomon <dilinger@debian.org>  Wed, 30 Aug 2017 22:31:26 +0000

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Matlink <matlink@matlink.fr>
+Uploaders: Andres Salomon <dilinger@debian.org>
 Build-Depends: debhelper (>= 9.0~),
                dh-python,
                python (>= 2.6.6-3~),

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 override_dh_auto_install:
 	dh_auto_install
 	chmod 0644 debian/gplaycli/etc/gplaycli/cronjob
+
+override_dh_clean:
+	dh_clean
+	rm -rf GPlayCli.egg-info/
 
 COMMIT_TO_DOWNLOAD = 20f65ca91820018fe3f1a076238ec7293ceada9b
 newtarball = new$(COMMIT_TO_DOWNLOAD).tar.gz

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/GPlayCli/GPlayCli-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gplaycli 3.25+ds

=== Makefile ===
SHELL := /bin/bash
PYTHON=$(shell which python3)
GIT=$(shell which git)
GPG=$(shell which gpg2)
TWINE=$(shell which twine)
BUILDIR=$(CURDIR)/debian/gplaycli
PROJECT=gplaycli
VERSION=$(shell $(PYTHON) setup.py --version)
GPGID=186BB3CA
TESTAPK=org.mozilla.focus

source:
	$(PYTHON) setup.py sdist

sign:
	$(GPG) --detach-sign --default-key $(GPGID) -a dist/GPlayCli-$(VERSION).tar.gz

publish: clean source sign
	$(TWINE) upload dist/GPlayCli-$(VERSION).tar.gz dist/GPlayCli-$(VERSION).tar.gz.asc

clean:
	$(PYTHON) setup.py clean
	rm -rf build/ MANIFEST dist GPlayCli.egg-info debian/{gplaycli,python-module-stampdir} debian/gplaycli.{debhelper.log,postinst.debhelper,prerm.debhelper,substvars} *.tar.gz* deb_dist
	find . -name '*.pyc' -delete

=== requirements.txt ===
gpapi
pyaxmlparser

## gplaycli 3.27+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,9 @@
 SHELL := /bin/bash
 PYTHON=$(shell which python3)
-GIT=$(shell which git)
 GPG=$(shell which gpg2)
 TWINE=$(shell which twine)
-BUILDIR=$(CURDIR)/debian/gplaycli
-PROJECT=gplaycli
 VERSION=$(shell $(PYTHON) setup.py --version)
 GPGID=186BB3CA
-TESTAPK=org.mozilla.focus
 
 source:
 	$(PYTHON) setup.py sdist
@@ -22,3 +18,10 @@
 	$(PYTHON) setup.py clean
 	rm -rf build/ MANIFEST dist GPlayCli.egg-info debian/{gplaycli,python-module-stampdir} debian/gplaycli.{debhelper.log,postinst.debhelper,prerm.debhelper,substvars} *.tar.gz* deb_dist
 	find . -name '*.pyc' -delete
+
+patch:
+	patch setup.py debian/0001-conf-install-path.patch
+
+deb: patch
+	mkdir -p packages
+	bash debian/build.sh

## gplaycli 3.29%2Bdfsg

=== requirements.txt ===
gpapi>=0.4.4
pyaxmlparser

## gplaycli 3.29+dfsg

=== Makefile ===
SHELL := /bin/bash
PYTHON=$(shell which python3)
GPG=$(shell which gpg2)
TWINE=$(PYTHON) -m twine
VERSION=$(shell $(PYTHON) setup.py --version)
GPGID=186BB3CA

source:
	$(PYTHON) setup.py sdist

sign:
	$(GPG) --detach-sign --default-key $(GPGID) -a dist/gplaycli-$(VERSION).tar.gz

publish: clean source sign
	$(TWINE) upload dist/gplaycli-$(VERSION).tar.gz dist/gplaycli-$(VERSION).tar.gz.asc

clean:
	$(PYTHON) setup.py clean
	rm -rf build/ MANIFEST dist gplaycli.egg-info debian/{gplaycli,python-module-stampdir} debian/gplaycli.{debhelper.log,postinst.debhelper,prerm.debhelper,substvars} *.tar.gz* deb_dist setup.cfg
	find . -name '*.pyc' -delete

deb:
	mkdir -p packages
	bash debian/build.sh
